%define module	virtualenv

Name:		python-%{module}
Version:	15.2.0
Release:	1
Summary:	Virtual Python Environment builder
Group:		Development/Python
License:	MIT
URL:		https://www.virtualenv.org/
Source0:	https://pypi.io/packages/source/v/virtualenv/%{module}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pythonegg(setuptools)
BuildRequires:	pythonegg(sphinx)
BuildRequires:	pythonegg(typing)
Requires:	pythonegg(setuptools)
Requires:	python-pkg-resources

%description
virtualenv is a tool to create isolated Python environments.

%package -n     python3-%{module}
Summary:        Tool to create isolated Python 3 environments
Group:          Development/Python
BuildRequires:	python3egg(setuptools)
#BuildRequires:	python3egg(sphinx)
Requires:       python3egg(setuptools)
Requires:       python3-pkg-resources


%description -n python3-%{module}
virtualenv is a tool to create isolated Python 3 environments. virtualenv
is a successor to workingenv, and an extension of virtual-python. It is
written by Ian Bicking, and sponsored by the Open Planning Project. It is
licensed under an MIT-style permissive license

%prep
%setup -q -n %{module}-%{version}

%{__sed} -i -e "1s|#!/usr/bin/env python||" virtualenv.py 
cp -a . %{py3dir}


%build
%py2_build
python setup.py build_sphinx
rm -f build/sphinx/html/.buildinfo

pushd %{py3dir}
%py3_build
popd


%install
pushd %{py3dir}
%py3_install
mv %{buildroot}/%{_bindir}/virtualenv %{buildroot}/%{_bindir}/py3-virtualenv
popd

%py2_install


%files
%doc PKG-INFO AUTHORS.txt LICENSE.txt
%doc build/sphinx/*
%{py_puresitedir}/virtualenv*
%{_bindir}/virtualenv


%files -n python3-%{module}
%doc PKG-INFO AUTHORS.txt LICENSE.txt
#%doc build/sphinx/*
%{_bindir}/py3-virtualenv
%{py3_puresitedir}/*



%changelog

* Thu Aug 23 2018 Denis Silakov <dsilakov@virtuozzo.com> 15.2.0-1
- (2ab3a9b) Updated to 15.2.0, build py3 module


